import request from '@/utils/request'

//获取底号管理列表
export function getBaseNumberList(params) {
  return request({
    url: 'api/BottomNumber/getlist',
    method: 'get',
    params
  })
}

//添加底号管理
export function addBaseNumberList(params) {
  return request({
    url: 'api/BottomNumber/add',
    method: 'post',
    params
  })
}

//编辑底号管理
export function editBaseNumberList(params) {
  return request({
    url: 'api/BottomNumber/update',
    method: 'post',
    params
  })
}

//删除底号管理
export function deleteBaseNumberList(params) {
  return request({
    url: 'api/BottomNumber/delete',
    method: 'post',
    params
  })
}

//获取底号管理详情
export function getBaseNumberListDetail(params) {
  return request({
    url: 'api/BottomNumber/getdetails',
    method: 'get',
    params
  })
}